petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateCohesiveSubmesh

Extract from a mesh with cohesive cells the hypersurface defined by one face of the cells. Optionally, a Label an be given to restrict the cells.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateCohesiveSubmesh(DM dm, PetscBool hasLagrange, const char label[], PetscInt value, DM *subdm)

### Input Parameters

| dm | - The original mesh
| hasLagrange | - The mesh has Lagrange unknowns in the cohesive cells
| label | - A label name, or NULL
| value | - A label value

### Output Parameter

subdm -The surface mesh

Note: This function produces a DMLabel mapping original points in the submesh to their depth. This can be obtained using DMPlexGetSubpointMap().

### See Also

DMPlexGetSubpointMap(), DMPlexCreateSubmesh()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c

### Implementations

DMPlexCreateCohesiveSubmesh_Uninterpolated in src/dm/impls/plex/plexsubmesh.c
DMPlexCreateCohesiveSubmesh_Interpolated in src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages